{ Fill in the following sections (removing comment marks ! if necessary),
  and delete those that are unused.}
TITLE 'Strop'     { the problem identification }
COORDINATES cartesian3  { coordinate system, 1D,2D,3D, etc }
VARIABLES        { system variables }
  Up(threshold=10)             { choose your own names }
Vp(threshold=10)
Wp(threshold=10)
Upp(threshold=10)
Vpp(threshold=10)
Wpp(threshold=10)
 SELECT         { method controls }
errlim = 5
!painted
contours 100 	Textsize 180	contourgrid=200
DEFINITIONS    { parameter definitions }
z1=0.0
z2=0.4
S=7.0
az=0.30
c=0.40
D=9.0
L=2.6
b=0.3
Q=-1.5e7
ro=2.5e3
mu=5e3
gz=10
 E=1e10
nu=0.3
rho = 2700          { Kg/M^3 }
  !  mu = 1e3            { Estimated viscosity Kg/M/sec }
    smoother = 1        { artificial diffusion to smooth results  (M^2/sec) }
 
    cvel = sqrt(E/rho)  { sound velocity, M/sec }
    tau  = L/cvel       { transit time }
    tone = 0.25/tau     { approximate resonant frequency }
    freq = 1.1*tone       { driving frequency  }
    period = 1/freq
                         { define the constitutive relations }
    G = E/(1+nu)/2
    C11 = G*(1-nu)
    C12 = G*nu
    C22 = G*(1-nu)
    C33 = G*(1-2*nu)/2
A=2*nu*G/(1-2*nu)	
 
                        { define some utility functions }
    ex = dx(Up)
    ey = dy(Vp)
	ez = dz(Wp)
	e1=ex+ey+ez
    gxy = (dy(Up) + dx(Vp))/2
    gxz = (dz(Up) + dx(Wp))/2
    gyz = (dz(Wp) + dy(Vp))/2
    Sx  = 2*G*ex + A*e1
    Sy  = 2*G*ey + A*e1
	Sz  = 2*G*ez + A*e1
    Txy =  G*gxy
    Txz =  G*gxz
    Tyz =  G*gyz
 
initial values
            { give FlexPDE an estimate of variable range }
    Up = 0    Vp = 0  Wp=0
	Upp=0    Vpp=0   Wpp=0
equations
Upp: Upp+div(grad(Up))=dt(Up)
Vpp: Vpp+div(grad(Vp))=dt(Vp)
Wpp: Wpp+div(grad(Wp))=dt(Wp)
Up:	dx(2*G*ex + A*e1) + dy(G*gxy) + dz(G*gxz) + mu*div(grad(Upp)) = ro*dt(Upp)/10
Vp:	dx(G*gxy) + dy(2*G*ey + A*e1) + dz(G*gyz) + mu*div(grad(Vpp))  = ro*dt(Vpp)/10
Wp: dx(G*gxz) + dy(G*gyz) + dz(2*G*ez + A*e1) + mu*div(grad(Wpp))-ro*gz= ro*dt(Wpp)/10
{constraints
integral(up) = 0                    { cancel X-motion }
    integral(vp) = 0                    { cancel Y-motion }}
 
 
EXTRUSION
surface 'Spod' z=z1
Layer 'Strop'
surface 'Gora' z=z2
BOUNDARIES       { The domain definition }
surface 'Spod' load(Up)=0 load(Vp)=0 load(Wp)=0 load(Upp)=0 load(Vpp)=0 load(Wpp)=0
surface 'Gora' load(Up)=0 load(Vp)=0 load(Wp)=0 load(Upp)=0 load(Vpp)=0 load(Wpp)=0
REGION 1       { caly obszar stropu }
surface 'Spod'
surface 'Gora'
Layer 'Strop'
 
START (0,0)
load(Up)=0 load(Vp)=0 load(Wp)=0 load(Upp)=0 load(Vpp)=0 load(Wpp)=0    line to (S,0)
to (S,0) to (S,D)  to (0,D)
to close
 
Limited Region 2
surface 'Spod' value(Up)=0 value(Vp)=0 value(Wp)=0 value(Upp)=0 value(Vpp)=0 value(Wpp)=0
surface 'Gora' value(Up)=0 value(Vp)=0 value(Wp)=0 value(Upp)=0 value(Vpp)=0 value(Wpp)=0
Layer 'Strop'
 
START (0,0)
value(Up)=0 value(Vp)=0 value(Wp)=0 value(Upp)=0 value(Vpp)=0 value(Wpp)=0    line to (S,0)
to (S,0) to (S,D)  to (0,D)
to close
START (az,az)
value(Up)=0 value(Vp)=0 value(Wp)=0 value(Upp)=0 value(Vpp)=0 value(Wpp)=0 line to (S-az,az)
to (S-az,D-az) to (az,D-az) to close
 
Limited Region 3
surface 'Spod' load(Up)=0 load(Vp)=0 load(Wp)=0 load(Upp)=0 load(Vpp)=0 load(Wpp)=0
surface 'Gora' load(Up)=0 load(Vp)=0 load(Wp)=0 load(Upp)=0 load(Vpp)=0 load(Wpp)=0
Layer 'Strop'
 
START (az,az)
value(Up)=0 value(Vp)=0 value(Wp)=0 value(Upp)=0 value(Vpp)=0 value(Wpp)=0 line to (S-az,az)
to (S-az,D-az) to (az,D-az) to close
 
 
 
Limited Region 4
surface 'Spod'  load(Up)=0 load(Vp)=0   load(Wp)=0   load(Upp)=0   load(Vpp)=0   load(Wpp)=0
surface 'Gora'  load(Up)=0 load(Vp)=0   load(Wp)=Q*upulse(t,t-0.3)   load(Upp)=0   load(Vpp)=0   load(Wpp)=0
Layer 'Strop'
 
START (S-L,D/2-c)
load(Up)=0 load(Vp)=0   load(Wp)=0   load(Upp)=0   load(Vpp)=0   load(Wpp)=0 line to (S-L+b,D/2-c)
to (S-L+b,D/2+c) to (S-L,D/2+c) to close
 
 
   time 0 to 1
 
MONITORS
	for cycle=5000
	contour(Wp)  on surface "Gora"
 
PLOTS
    for t=0 by period/2 to 1
! TIME 0 TO 1    { if time dependent }
 
!PLOTS            { save result displays }
Grid(x+20*Up,y+20*Vp,z+20*Wp)
CONTOUR(Up) on surface "Gora" !zoom(0,0,L,1.4*H)
CONTOUR(Up) on surface "Spod"
CONTOUR(Vp) on surface "Gora" !zoom(0,0,L,1.4*H)
CONTOUR(Vp) on surface "Spod"
CONTOUR(Wp) on surface "Gora" !zoom(0,0,L,1.4*H)
CONTOUR(Wp) on surface "Spod"
 
grid(x+ 10*Up,z+10*Wp) on y=D/2
contour(Sx) on y=D/2
contour(Sy) on y=D/2
contour(Sz) on y=D/2
contour(Txy) on y=D/2
contour(Txz) on y=D/2
contour(Tyz) on y=D/2
contour(e1)  on y=D/2
vector(Up,Wp) norm  on y=D/2
elevation (Wp) from (0,D/2,0) to (S,D/2,0)
elevation (Up) from (0,D/2,0) to (S,D/2,0)
elevation (Vp) from (0,D/2,0) to (S,D/2,0)
 
history(Up) at (S-L+b/2,D/2,0)
history(Vp) at (S-L+b/2,D/2,0)
history(Wp) at (S-L+b/2,D/2,0)
 
 
 
 
 
END
